#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define	pdir	Params
%define	pnam	Util
Summary:	Params::Util - Simple standalone param-checking functions
Summary(pl.UTF-8):	Params::Util - proste samodzielne funkcje do sprawdzania parametrów
Name:		perl-Params-Util
Version:	1.102
Release:	5%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f1aa70ba570f03f14cd394096b9c6883
URL:		https://metacpan.org/dist/Params-Util
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Scalar-List-Utils >= 1.18
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-LeakTrace
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Params::Util provides a basic set of importable functions that makes
checking parameters a hell of a lot easier.

The functions provided by Params::Util check in the most strictly
correct manner, and in should not be fooled by odd cases.

%description -l pl.UTF-8
Params::Util udostępnia podstawowy zestaw importowalnych funkcji
znacznie ułatwiających sprawdzanie parametrów.

Funkcje dostarczane przez Params::Util sprawdzają poprawność w
najbardziej ścisły sposób i nie powinny dać się ogłupić przez
nietypowe przypadki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.md
%{perl_vendorarch}/Params/Util.pm
%dir %{perl_vendorarch}/Params/Util
%{perl_vendorarch}/Params/Util/PP.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Util/Util.so
%{_mandir}/man3/Params::Util.3pm*
%{_mandir}/man3/Params::Util::PP.3pm*
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Params-Util.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> b6620e6
- perl 5.40.0 rebuild

* Thu Aug 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 2103516
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 51a4264
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> a7b1a67
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2d8fb8a
- rebuild with perl 5.34.0

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 93b83ff
- updated to 1.102

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> f305077
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 9c7b983
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3a45aa7
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 010ae24
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> c7bbf35
- release 10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f6cecda
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7f3a6da
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 315925c
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 92373cf
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f974436
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ec6cab3
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> baf3fdd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e996601
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8213d35
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

